NUMFMT(1)

NOM
numfmt - Convertir des nombres vers ou à partir de formats lisibles par un humain

SYNOPSIS
numfmt [OPTION]... [NOMBRE]...

DESCRIPTION

Reformater le ou les NOMBREs, ou les nombres de l'entrée standard si aucun n'est indiqué.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--debug
    afficher les avertissements en cas d'entrée incorrecte

-d, --delimiter=X
    utiliser X au lieu d'une tabulation comme délimiteur de champs

--field=CHAMPS
    remplacer les nombres dans les champs d'entrée (1 par défaut). Voir CHAMPS ci-dessous :

--format=FORMAT
    utiliser le FORMAT de virgule flottante de style printf ; consultez FORMAT plus bas pour des précisions

--from=UNITÉ
    mettre automatiquement à l'échelle d’UNITÉ les nombres en entrée ; « none » par défaut ; consultez UNITÉ plus bas

--from-unit=N
    la taille d'unité en entrée (au lieu de 1 par défaut)

--grouping
    grouper les chiffres ensemble (par exemple 1 000 000) en utilisant le groupement défini dans les paramètres régionaux (donc sans effet avec la locale C/POSIX)

--header[=N]
    afficher (sans conversion) les N premières lignes d'en-tête ; N vaut 1 par défaut si non indiqué

--invalid=MODE
    mode d'échec pour les nombres incorrects ; MODE peut être « abort » (par défaut), « fail », « warn » ou « ignore »

--padding=N
    remplir la sortie avec N caractères ; N positif alignera à droite. N négatif alignera à gauche ; le remplissage est ignoré si la sortie est plus grande que N ; le remplissage est automatique par défaut si un blanc est trouvé

--round=MÉTHODE
    utiliser MÉTHODE pour arrondir lors de la mise à l'échelle ; MÉTHODE peut être : « up », « down », « from-zero » (par défaut), « towards-zero » ou « nearest »

--suffix=SUFFIXE
    ajouter le SUFFIXE aux nombres en sortie et accepter le SUFFIXE facultatif aux nombres en entrée

--to=UNITÉ
    mettre à l'échelle automatiquement les nombres en sortie à UNITÉ ; consultez UNITÉ plus bas

--to-unit=N
    la taille d'unité en sortie (au lieu de 1 par défaut)

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    Afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter

  options d’UNITÉ

aucun
    aucune mise à l'échelle automatique n'est effectuée ; les suffixes déclencheront une erreur

auto
    accepte le suffixe facultatif à une ou deux lettres : 1K = 1000, 1k = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576, etc.

si  accepte le suffixe facultatif à une lettre : 1k = 1000, 1K = 1000, 1M = 1000000, etc.

iec accepte le suffixe facultatif à une lettre : 1K = 1024, 1k = 1024, 1M = 1048576, etc.

iec-i
    accepte le suffixe facultatif à deux lettres : 1Ki = 1024, 1ki = 1024, 1Mi = 1048576, etc.

  CHAMPS prend en charge des plages de champs dans le style de cut(1) :

N   Nième champ, compté à partir de 1

N-  du Nième champ jusqu'à la fin de la ligne

N-M du Nième au Mième champ (inclus)

-M  du premier au Mième champ (inclus)

-   tous les champs

Plusieurs champs/plages peuvent être séparés par des virgules

FORMAT doit être adapté à l'affichage d'un argument de virgule flottante « %f ». Le guillemet facultatif (%'f) activera --grouping (si permis avec les paramètres régionaux actuels). Une valeur de largeur facultative (%10f) remplira la sortie. Une largeur nulle facultative (%010f) remplira le nombre de zéros à gauche. Une valeur négative facultative (%-10f) alignera à gauche. Une précision facultative (%.1f) outrepassera la précision définie en entrée.

Le code de retour est 0 si tous les nombres en entrée ont été convertis sans erreur. Par défaut, numfmt s'arrêtera à la première erreur de conversion avec un code de retour de 2. Avec --invalid='fail', un avertissement est affiché à chaque erreur de conversion et le code de retour est 2. Avec --invalid='warn', toutes les erreurs de conversion sont diagnostiquées, mais le code de retour est 0. Avec --invalid='ignore', les erreurs de conversion ne sont pas diagnostiquées, et le code de retour est 0.

EXEMPLES

    $ numfmt --to=si 1000

    -> "1,0k"

    $ numfmt --to=iec 2048

    -> "2,0K"

    $ numfmt --to=iec-i 4096

    -> "4,0Ki"

    $ echo 1K | numfmt --from=si

    -> "1000"

    $ echo 1K | numfmt --from=iec

    -> "1024"

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

AUTEUR
Écrit par Assaf Gordon.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/numft>
aussi disponible localement à l’aide de la commande : info '(coreutils) numfmt invocation'

Empaqueté par Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.